edu.sc.seis.sod.subsetter.origin

## Class SimilarEvent

- java.lang.Object
- - edu.sc.seis.sod.subsetter.origin.RemoveEventDuplicate
  - - edu.sc.seis.sod.subsetter.origin.SimilarEvent

- All Implemented Interfaces:
    SodElement, OriginSubsetter, Subsetter

      public class SimilarEvent
      extends RemoveEventDuplicate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.origin.RemoveEventDuplicate

      `depthVariance, distanceVariance, timeVariance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimilarEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent[] events)`
    `SimilarEvent(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent eventAccess, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl preferred_origin)`
    `java.util.List<edu.sc.seis.fissuresUtil.cache.CacheEvent>` | `getEventsNearTimeAndDepth(edu.iris.Fissures.IfEvent.Origin preferred_origin)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.origin.RemoveEventDuplicate

      `getEventStatusTable, isDistanceClose, setDepthVariance, setDistanceVariance, setTimeVariance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimilarEvent

          public SimilarEvent(org.w3c.dom.Element config)
                       throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### SimilarEvent

          public SimilarEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent[] events)

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent eventAccess,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl preferred_origin)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `OriginSubsetter`
      Overrides:
        `accept` in class `RemoveEventDuplicate`
      Throws:
        `java.lang.Exception`

    - #### getEventsNearTimeAndDepth

          public java.util.List<edu.sc.seis.fissuresUtil.cache.CacheEvent> getEventsNearTimeAndDepth(edu.iris.Fissures.IfEvent.Origin preferred_origin)

      Overrides:
        `getEventsNearTimeAndDepth` in class `RemoveEventDuplicate`